Сопряжения

Автор DimonD, 26.10.04, 10:17:01

« предыдущая - следующая »

0 Пользователей и 1 гость просматривают эту тему.

DimonD

Здрастуйте
Я немогу найти примеры с сопряжениями может ктото поделится исходником с примером сопряжения буду очень признателен
Заранее спасиба

Sabahs

 // Добавить сопряжение совпадение
    PartCollection1:=ksPart(iDoc3DSborka.GetPart(-1));
     EntityCollection:=
      ksEntityCollection(PartCollection1.EntityCollection(o3d_pointCS));
     Entity1:=ksEntity(EntityCollection.GetByIndex(0));
     PartCollection1:=ksPart(iDoc3DSborka.GetPart(1));
     EntityCollection:=
      ksEntityCollection(PartCollection1.EntityCollection(o3d_pointCS));
     Entity2:=ksEntity(EntityCollection.GetByIndex(0));
     iDoc3DSborka.AddMateConstraint(mc_Coincidence,Entity1,Entity2,0,0,0);
     iDoc3DSborka.RebuildDocument;

DimonD

Здрастуйте
большое спасиба щас буду пробовать если что невыйдет я напишу
С уважением DiM